package javax.xml.bind.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;

@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.METHOD })
public @interface XmlElementDecl {
    public abstract Class scope() default XmlElementDecl.GLOBAL.class;
    
    public abstract String namespace() default "##default";
    
    public abstract String name();
    
    public abstract String substitutionHeadNamespace() default "##default";
    
    public abstract String substitutionHeadName() default "";
    
    public abstract String defaultValue() default "\u0000";
    
    public static final class GLOBAL
    {
    }
}
